Skip to main content
GET
/
api
/
v2
/
products
List products
curl --request GET \
  --url https://rcur.app/api/v2/products \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "prod_abc123",
      "name": "Premium Plan",
      "type": "subscription",
      "amount": "29.99",
      "currency": "EUR",
      "interval": "month",
      "times": 12,
      "wc_product_id": 1234
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 1,
    "last_page": 1,
    "per_page": 15,
    "total": 6
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1

Page number for pagination

Response

200 - application/json

List of products

data
object[]
meta
object